/*
 * Copyright (c) 2017 Fraunhofer FOKUS.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the
 * GNU AGPL v3 which accompanies
 * this distribution, and is available at
 * http://www.gnu.org/licenses/agpl.txt
 *
 * Contributors:
 * Simon Dutkowski Fraunhofer FOKUS
 *
 * Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
 */
package eu.DECIDEh2020.appManager.models;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(Include.NON_EMPTY)
public class InfrastructureRequirements {

	private String minDisk, maxDisk, minRam, maxRam;

	public String getMinDisk() {
		return minDisk;
	}

	public void setMinDisk(String minDisk) {
		this.minDisk = minDisk;
	}

	public String getMaxDisk() {
		return maxDisk;
	}

	public void setMaxDisk(String maxDisk) {
		this.maxDisk = maxDisk;
	}

	public String getMinRam() {
		return minRam;
	}

	public void setMinRam(String minRam) {
		this.minRam = minRam;
	}

	public String getMaxRam() {
		return maxRam;
	}

	public void setMaxRam(String maxRam) {
		this.maxRam = maxRam;
	}

}
